Loading...
Searching...
No Matches
Opm::NameOrder Class Reference

## Public Member Functions

| NameOrder (std::initializer_list< std::string > names)
| NameOrder (const std::vector< std::string > &names)
void | add (const std::string &name)
std::vector< std::string > | sort (std::vector< std::string > names) const
const std::vector< std::string > & | names () const
bool | has (const std::string &wname) const
template<class Serializer>
void | serializeOp (Serializer &serializer)
const std::string & | operator[] (std::size_t index) const
bool | operator== (const NameOrder &other) const
auto | begin () const
auto | end () const
auto | size () const

## Static Public Member Functions

static NameOrder | serializationTestObject ()

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/Well/NameOrder.hpp
- opm/input/eclipse/Schedule/Well/NameOrder.cpp